/**
 *  SimpleModbusRtu_example
 *  http://www.comfile.co.kr
 */

#include <SimpleModbusRtu_mega2560.h>


uint16_t au16data[16];
uint8_t au8data[10];
int pwm6 = 6;
int pwm7 = 7;
int incomingByte = 0; 

void setup() {
  char i;
  pinMode(pwm6, OUTPUT); 
  pinMode(pwm7, OUTPUT); 

  Serial3.begin(57600);
  usart1init(57600); // 9600, 19200, 38400, 57600 , Serial channel1
  startSimpleModbus(1,au16data, au8data); // slave address, register, coil
  
}

void loop() 
{
  au16data[0] = analogRead(A0);
  au16data[1] = analogRead(A1);  
  au16data[2] = analogRead(A2);
  au16data[3] = analogRead(A3);
  au16data[4] = analogRead(A4);
  au16data[5] = analogRead(A5);
  au16data[6] = analogRead(A6);
  au16data[7] = analogRead(A7);
  analogWrite(pwm6, au16data[8]);
  analogWrite(pwm7, au16data[9]);
}




